Package io.vertx.ext.consul.connect

## Class ExposePathOptions

- java.lang.Object
- - io.vertx.ext.consul.connect.ExposePathOptions

-     public class ExposePathOptions
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExposePathOptions()` | Default constructor
    `ExposePathOptions​(JsonObject options)` | Constructor from JSON

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Integer` | `getListenerPort()` |
    `Integer` | `getLocalPathPort()` |
    `String` | `getPath()` |
    `String` | `getProtocol()` |
    `ExposePathOptions` | `setListenerPort​(Integer listenerPort)` |
    `ExposePathOptions` | `setLocalPathPort​(Integer localPathPort)` |
    `ExposePathOptions` | `setPath​(String path)` |
    `ExposePathOptions` | `setProtocol​(String protocol)` |
    `JsonObject` | `toJson()` | Convert to JSON

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExposePathOptions

          public ExposePathOptions()

      Default constructor

    - #### ExposePathOptions

          public ExposePathOptions​(JsonObject options)

      Constructor from JSON
      Parameters:
        `options` - the JSON

  - ### Method Detail

    - #### toJson

          public JsonObject toJson()

      Convert to JSON
      Returns:
        the JSON

    - #### getPath

          public String getPath()

    - #### setPath

          public ExposePathOptions setPath​(String path)

    - #### getProtocol

          public String getProtocol()

    - #### setProtocol

          public ExposePathOptions setProtocol​(String protocol)

    - #### getLocalPathPort

          public Integer getLocalPathPort()

    - #### setLocalPathPort

          public ExposePathOptions setLocalPathPort​(Integer localPathPort)

    - #### getListenerPort

          public Integer getListenerPort()

    - #### setListenerPort

          public ExposePathOptions setListenerPort​(Integer listenerPort)